com.h3c.of.sw

## Class PipelineFactory

- java.lang.Object
- - com.h3c.of.sw.PipelineFactory

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelPipelineFactory

      public class PipelineFactory
      extends Object
      implements org.jboss.netty.channel.ChannelPipelineFactory

  A simple implementation of a pipeline factory that creates pipelines with OpenFlow message list encoder and decoder and a message handler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipelineFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OfmDecoder` | `createOfmDecoder()` Creates and returns a message decoder to be used in the pipeline.
    `protected OfmEncoder` | `createOfmEncoder()` Creates and returns a message encoder to be used in the pipeline.
    `org.jboss.netty.channel.ChannelPipeline` | `getPipeline()`
    `void` | `setMsgHandler(SwMessageHandler msgHandler)` Sets the message handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PipelineFactory

          public PipelineFactory()

  - ### Method Detail

    - #### setMsgHandler

          public void setMsgHandler(SwMessageHandler msgHandler)

      Sets the message handler.
      Parameters:
        `msgHandler` - the message handler to be inserted into pipelines

    - #### createOfmDecoder

          protected OfmDecoder createOfmDecoder()

      Creates and returns a message decoder to be used in the pipeline. This default implementation returns a standard decoder.
      Returns:
        the decoder

    - #### createOfmEncoder

          protected OfmEncoder createOfmEncoder()

      Creates and returns a message encoder to be used in the pipeline. This default implementation returns a standard encoder.
      Returns:
        the encoder

    - #### getPipeline

          public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                              throws Exception

      Specified by:
        `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.